@echo off
REM **************************************************************** 
REM * 
REM * GenerateCICSWrapper.bat
REM * 
REM * Licensed Materials - Property of IBM
REM * 
REM * Copyright IBM Corporation 2009
REM * All Rights Reserved
REM * 
REM * US Government Users Restricted Rights - Use,
REM * duplication, or disclosure restricted by GSA
REM * Schedule Contract with IBM Corporation
REM * 
REM *
REM * PURPOSE:  This batch file is used to invoke the
REM *           GenerateCICSWrapper JAR shipped as part of
REM *           SupportPac CA0A - CICS Channels and Containers 
REM *           Support Utility for WebSphere ILOG Rules for COBOL
REM * 
REM *           This batch file contains four parameters that must
REM *           be given values to allow GenerateCICSWrapper to be
REM *           called correctly:
REM *
REM *           R4CFILE - This is the file name (including the fully
REM *           qualified path) of the file generated by Rules for
REM *           COBOL that a CICS wrapper program is being created 
REM *           for.
REM *
REM *           OUTCOPYFILE - This is the file name (including the 
REM *           fully qualified path) of a COBOL copybook file that
REM *           will be generated by GenerateCICSWrapper.  This
REM *           copybook will define constants that contain the 
REM *           names of the channel and containers that will pass
REM *           data to and from a CICS wrapper program.
REM *
REM *           OUTPUTFILE - This is the file name (including the
REM *           fully qualified path) of the CICS wrapper program
REM *           generated by GenerateCICSWrapper.
REM *
REM *           OUTCODEFILE - This is the file name (including the
REM *           fully qualified path) of a file that contains a 
REM *           snippet of sample code for calling the CICS wrapper
REM *           program.  
REM *
REM **************************************************************** 

REM ================================================================
REM  The following parameters must all have valid values for a call
REM  to GenerateCICSWrapper.jar 
REM ================================================================

SET R4CFILE=
SET OUTCOPYFILE=
SET OUTPUTFILE=
SET OUTCODEFILE=

REM ================================================================
REM  Now call GenerateCICSWrapper.jar using the parameters 
REM  specified above.                   
REM ================================================================
echo GenerateCICSWrapper:  Calling GenerateCICSWrapper.jar with %R4CFILE% %OUTCOPYFILE% %OUTPUTFILE% %OUTCODEFILE%
java -jar GenerateCICSWrapper.jar %R4CFILE% %OUTCOPYFILE% %OUTPUTFILE% %OUTCODEFILE%
echo GenerateCICSWrapper: Processing complete.

REM ================================================================
REM  End of GenerateCICSWrapper.bat
REM ================================================================




