#@echo off
# **************************************************************** 
# * 
# * GenerateCICSWrapper.sh
# * 
# * Licensed Materials - Property of IBM
# * 
# * Copyright IBM Corporation 2009
# * All Rights Reserved
# * 
# * US Government Users Restricted Rights - Use,
# * duplication, or disclosure restricted by GSA
# * Schedule Contract with IBM Corporation
# * 
# *
# * PURPOSE:  This shell script is used to invoke the
# *           GenerateCICSWrapper JAR shipped as part of
# *           SupportPac CA0A - CICS Channels and Containers 
# *           Support Utility for WebSphere ILOG Rules for COBOL
# * 
# *           This shell script contains four parameters that must
# *           be given values to allow GenerateCICSWrapper to be
# *           called correctly:
# *
# *           R4CFILE - This is the file name (including the fully
# *           qualified path) of the file generated by Rules for
# *           COBOL that a CICS wrapper program is being created 
# *           for.
# *
# *           OUTCOPYFILE - This is the file name (including the 
# *           fully qualified path) of a COBOL copybook file that
# *           will be generated by GenerateCICSWrapper.  This
# *           copybook will define constants that contain the 
# *           names of the channel and containers that will pass
# *           data to and from a CICS wrapper program.
# *
# *           OUTPUTFILE - This is the file name (including the
# *           fully qualified path) of the CICS wrapper program
# *           generated by GenerateCICSWrapper.
# *
# *           OUTCODEFILE - This is the file name (including the
# *           fully qualified path) of a file that contains a 
# *           snippet of sample code for calling the CICS wrapper
# *           program.  
# *
# **************************************************************** 

# ================================================================
#  The following parameters must all have valid values for a call
#  to GenerateCICSWrapper.jar 
# ================================================================

R4CFILE=
OUTCOPYFILE=
OUTPUTFILE=
OUTCODEFILE=

# ================================================================
#  Now call GenerateCICSWrapper.jar using the parameters 
#  specified above.                   
# ================================================================
echo "GenerateCICSWrapper:  Calling GenerateCICSWrapper.jar with ${R4CFILE} ${OUTCOPYFILE} ${OUTPUTFILE} ${OUTCODEFILE}"
java -jar GenerateCICSWrapper.jar ${R4CFILE} ${OUTCOPYFILE} ${OUTPUTFILE} ${OUTCODEFILE}
echo "GenerateCICSWrapper Processing complete"

# ================================================================
#  End of GenerateCICSWrapper.sh
# ================================================================